/*
 * Class MEM_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_531 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_531 [] = {0xFF01,1551,530,0xFFFF};
static const EIF_TYPE_INDEX egt_2_531 [] = {0xFF01,530,0xFFFF};
static const EIF_TYPE_INDEX egt_3_531 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_531 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_531 [] = {0xFF01,530,0xFFFF};
static const EIF_TYPE_INDEX egt_6_531 [] = {0xFF01,530,0xFFFF};
static const EIF_TYPE_INDEX egt_7_531 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_531 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_531 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_531 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_531 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_531 [] = {0xFF01,530,0xFFFF};


static const struct desc_info desc_531[] = {
	{EIF_GENERIC(NULL), 8402, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_531), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_531), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_531), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_531), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_531), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_531), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_531), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_531), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_531), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_531), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_531), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_531), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0425 /*530*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_531), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8347, 4},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8350, 12},
	{EIF_NON_GENERIC(0x053B /*669*/), 8351, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8403, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8405, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8409, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8414, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8415, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 8399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8401, 0xFFFFFFFF},
};
void Init531(void)
{
	IDSC(desc_531, 0, 530);
	IDSC(desc_531 + 1, 1, 530);
	IDSC(desc_531 + 32, 675, 530);
	IDSC(desc_531 + 40, 1479, 530);
	IDSC(desc_531 + 45, 787, 530);
}


#ifdef __cplusplus
}
#endif
